Bug 204168 - Review Request: libgeda - the library needed by gEDA applications.
Review Request: libgeda - the library needed by gEDA applications.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 177107 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 204598 204605
  Show dependency treegraph
 
Reported: 2006-08-26 06:07 EDT by Chitlesh GOORAH
Modified: 2008-12-22 22:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 15:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)
No-mock build log of libgeda (changed) (104.78 KB, text/plain)
2006-08-29 10:03 EDT, Mamoru TASAKA
no flags Details
spec file used on the above comment. (5.43 KB, text/plain)
2006-08-29 10:08 EDT, Mamoru TASAKA
no flags Details
Mock build log of libgeda-20060123-5 (188.44 KB, text/plain)
2006-08-30 02:02 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Chitlesh GOORAH 2006-08-26 06:07:52 EDT
Spec URL: http://chitlesh.funpic.de/rpm/libgeda.spec
SRPM URL: http://chitlesh.funpic.de/rpm/libgeda-20060123-3.src.rpm
Description:
This package contains libgeda, the library needed by gEDA applications.
Comment 1 Chitlesh GOORAH 2006-08-26 06:15:20 EDT
*** Bug 177107 has been marked as a duplicate of this bug. ***
Comment 2 Chitlesh GOORAH 2006-08-26 06:16:52 EDT
I'll be using this library to push the Geda suite to FE.
Comment 3 Mamoru TASAKA 2006-08-29 00:58:08 EDT
Review for libgeda:

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

* BuildRequires
  - pkgconfig is not needed because:
     glib2-devel requires pkgconfig and 
     gtk2-devel (written) requires glib2-devel

  - added texi2html as BR to set HTML file creation enabled
    However, no HTML documents are installed and I cannot see
    the place where /usr/bin/texi2html is used in build log.
    Is texi2html needed?

* Requires
  - -devel package.
  Check precisely the Requires of -devel package as the
  requirement of -devel package cannot be pulled automatically.

  /usr/lib/pkgconfig/libgeda.pc says:
  Libs: -L${libdir} -lgeda -pthread -lguile    -L/lib -lglib-2.0 \
     -L/lib -lgdk_pixbuf-2.0 ......
  This means that this package (libgeda-devel) requires guile-devel,
  glib2-devel, gtk2-devel, .......

  Add all these requirement, then remove redundant packages.
  For example, glib2-devel is requires by gtk2-devel, so explicit
  requirement of "glib2-devel" is not necessary.

* Scriptlets requirements
  Add /sbin/ldconfig to main Requires(postun) .

2. Fro http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

3. Other things I have noticed:

* %exclude %{_libdir}/libgeda.la
  Well, finally %{_libdir}/libgeda.la is not installed, so remove
  this file on %install stage (rm -f $BUILD_ROOT%{_libdir}/*.la) 
  and get rid of this entry.

* %doc
  Why do main and -devel packages have the same documents?
Comment 4 Chitlesh GOORAH 2006-08-29 07:54:35 EDT
I'm stuck with my patch, which I found useless !

Normally lidgeda requires libgdgeda as BR
I want to make libgeda to require libgd.so.2 instead, because there isn't much
difference between gd and libgdgeda.

But I simply can't find the proper place to patch it :(
Could you please point it to me ? :)
Comment 5 Hans de Goede 2006-08-29 08:04:29 EDT
Wojciech Kazubski who was working on geda for FE previously already wrote a
patch for this, see:
https://sourceforge.net/tracker/index.php?func=detail&aid=1479983&group_id=161080&atid=818428
(unfortunatly the lines got wrapped, so it won't apply unless you fix this)
Here is a better version without the lines wrapped:
http://archives.seul.org/geda/dev/Apr-2006/msg00076.html
Comment 6 Chitlesh GOORAH 2006-08-29 09:24:06 EDT
I've included 2 patches:
http://chitlesh.googlepages.com/libgeda-20060123-4.src.rpm

As you can see it has been patched correctly

+ echo 'Patch #0 (libgeda-20060123-arc.patch):'
Patch #0 (libgeda-20060123-arc.patch):
+ patch -p0 -b --suffix o_arc_basic.c -s
+ echo 'Patch #1 (libgeda-20060123-configure.patch):'
Patch #1 (libgeda-20060123-configure.patch):
+ patch -p0 -b --suffix configure.ac -s
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.81346
+ umask 022                                                                    
                                             

but sounds like not:

   GLIB library version:             2.11.1
   GTK+ library version:             2.9.1
   GUILE library version:            1.6.7
   libgdgeda (png output):           no
   mingw build:                      no
   data directory:                   /usr/share/gEDA
   rc directory:                     /usr/share/gEDA
   LIBGEDA .so version:              25:0:0
   dmalloc debugging:                no
   ElectricFence debugging:          no
Comment 7 Mamoru TASAKA 2006-08-29 10:03:03 EDT
Created attachment 135132 [details]
No-mock build log of libgeda (changed)

Well, do you mean that you want the following result of
configure (as attached in this comment)?

config.status: creating docs/Makefile
config.status: creating libgeda.pc
config.status: creating scripts/geda_totexi
config.status: creating scripts/notangle_guile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing geda_totexi-chmod commands
config.status: executing notangle_guile-chmod commands
** Configuration summary for libgeda 20060123:
   GLIB library version:	     2.12.2
   GTK+ library version:	     2.10.2
   GUILE library version:	     1.8.0
   gdlib (png output):		 yes 2.0.33
   mingw build: 		     no
   data directory:		     /usr/share/gEDA
   rc directory:		     /usr/share/gEDA
   LIBGEDA .so version: 	     25:0:0
   dmalloc debugging:		     no
   ElectricFence debugging:	     no
+ make -j3
make  all-recursive
make[1]: Entering directory `/home/tasaka1/rpmbuild/BUILD/libgeda-20060123'
Making all in src
make[2]: Entering directory `/home/tasaka1/rpmbuild/BUILD/libgeda-20060123/src'

make  all-am
make[3]: Entering directory `/home/tasaka1/rpmbuild/BUILD/libgeda-20060123/src'
Comment 8 Mamoru TASAKA 2006-08-29 10:08:31 EDT
Created attachment 135133 [details]
spec file used on the above comment.

spec file I used for the comment #7 .
No patch is applied.

Note: I have not checked yet by mock. However, if this result
is suitable for you, again please upload spec and srpm file
and I will check it.

Note: your patch includes the parameter change of a function.
I cannot apply this because I don't know what this means.
If the parameter change you included in your patch is necessary,
please do so.
Comment 9 Mamoru TASAKA 2006-08-29 10:18:55 EDT
Another comment:

Check the BR for this package and Requirement for -devel package.
For me, normal rpmbuild (i.e. rebuild without mock) WITH GDLIB ENABLED
add the Requirement of
libX11.so.6  
libXpm.so.4  
libfontconfig.so.1  
ibfreetype.so.6  
libjpeg.so.62  
libpng12.so.0  
libz.so.1 

So, maybe libX11-devel, libXpm-devel, ...... are missing for BR.
And this changes /usr/lib/pkgconfig/libgeda.pc . With mock build. it says

Libs: -L${libdir} -lgeda -pthread -lguile    -L/lib -lglib-2.0     -L/lib
-lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -L/lib
-lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo
-lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0

But with normal build (and WITH GDLIB ENABLED) 
/usr/lib/pkgconfig/libgeda.pc says

Libs: -L${libdir} -lgeda -pthread -lguile   -L/usr/lib -lXpm -lX11 -ljpeg
-lfontconfig -lfreetype -lpng12 -lz -lm -L/lib -lglib-2.0     -L/lib
-lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -L/lib
-lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo
-lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 

Comment 10 Chitlesh GOORAH 2006-08-29 12:54:37 EDT
however with this spec file:
http://chitlesh.googlepages.com/libgeda.spec

It fails
checking pkg-config is at least version 0.9.0... yes
checking for gdlib_CFLAGS...
checking for gdlib_LIBS...
configure: error: Package requirements (gdlib >= 2.0.15) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the gdlib_CFLAGS and gdlib_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details.
error: Bad exit status from /var/tmp/rpm-tmp.66151 (%build)


RPM build errors:

compared to yours,
checking pkg-config is at least version 0.9.0... yes
checking for gdlib_CFLAGS...  
checking for gdlib_LIBS... -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng12
-lz -lm  
checking for X... libraries , headers 
checking for gethostbyname... yes
checking for connect... yes


even though I don't feel it requires libgd.so.2 in yours too
Comment 11 Mamoru TASAKA 2006-08-29 13:46:45 EDT
(In reply to comment #10)
> however with this spec file:
> http://chitlesh.googlepages.com/libgeda.spec
> 
> It fails
> checking pkg-config is at least version 0.9.0... yes
> checking for gdlib_CFLAGS...
> checking for gdlib_LIBS...
> configure: error: Package requirements (gdlib >= 2.0.15) were not met.
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
> 
> Alternatively you may set the gdlib_CFLAGS and gdlib_LIBS environment variables
> to avoid the need to call pkg-config.  See the pkg-config man page for
> more details.
> error: Bad exit status from /var/tmp/rpm-tmp.66151 (%build)
> 
> 
> RPM build errors:
> 
> compared to yours,
> checking pkg-config is at least version 0.9.0... yes
> checking for gdlib_CFLAGS...  
> checking for gdlib_LIBS... -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng12
> -lz -lm  
> checking for X... libraries , headers 
> checking for gethostbyname... yes
> checking for connect... yes
> 
> 
> even though I don't feel it requires libgd.so.2 in yours too
> 

So it means that this package don't have to libgd.so.2 , but
have to use libXpm.so.?, libX11.so.?, .... etc.

Also, "lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng12 -lz -lm" is
returned by "gdlib-config --libs". gdlib-config is included in gd-devel,
so you cannot compile without gd-devel when my change applied.

You seems to have commented out the requirement of gd-devel. If so
this package cannot be built.
Comment 12 Chitlesh GOORAH 2006-08-29 14:23:31 EDT
> You seems to have commented out the requirement of gd-devel. If so
this package cannot be built.

It's to test it under mock

Updated:
SPEC: http://chitlesh.googlepages.com/libgeda.spec
SRPM: http://chitlesh.googlepages.com/libgeda-20060123-5.src.rpm
Comment 13 Mamoru TASAKA 2006-08-30 02:02:06 EDT
Created attachment 135187 [details]
Mock build log of libgeda-20060123-5

I only tried to rebuild libgeda-20060123-5 (in 
the comment #12 ) (, which means that I have not 
checked about packaging or anything else of this package).

I succeeded in rebuilding this in mock........
I attached the build log in mock.

Well, now I will check this package
Comment 14 Hans de Goede 2006-08-30 07:00:11 EDT
Chitlesh,

Have the libgd issues been fixed now, I'm kinda lost after the discussion above.
If its not fixed and you want help can you explain what is the problem exactly?

Comment 15 Chitlesh GOORAH 2006-08-30 07:04:33 EDT
(In reply to comment #14)
> Chitlesh,
> 
> Have the libgd issues been fixed now, I'm kinda lost after the discussion above.

It has already been fixed :)
Comment 16 Mamoru TASAKA 2006-08-30 10:20:24 EDT
Review for libgeda-20060123-5:
Almost okay.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

   * Requires
   - Why does libgeda main package require texi2html ?
   = Requires for -devel package is now CORRECT .

   * BuildRequires
   - libXpm-devel libjpeg-devel libpng-devel
                      <- all required by gd-devel
   - fontconfig-devel <- required by pango-devel
                      <- required by gtk2-devel

   * File and Directory Ownership
   - Umm, I don't think that -doc package has to have
     /usr/share/doc/libgeda-doc-20060123/docs directory.
     All files in the directory can be moved to 
     /usr/share/doc/libgeda-doc-20060123/ .

     Perhaps you want to write in -doc file entry

     %doc docs/* , not %docs/

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

   = Nothing.

3. The other things I have noticed:

   = Nothing.
   
Comment 17 Chitlesh GOORAH 2006-08-30 11:07:01 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/libgeda.spec
SRPM URL: http://chitlesh.funpic.de/rpm/libgeda-20060123-6.src.rpm
Comment 18 Mamoru TASAKA 2006-08-30 11:55:30 EDT
Okay!!

Now I am pleased to say that this package (libgeda) is
APPROVED .
Comment 19 Chitlesh GOORAH 2008-12-21 14:31:48 EST
New Package CVS Request
=======================
Package Name: libgeda
Short Description: Libraries for the gEDA project
Owners: chitlesh
Branches: EL-5
Comment 20 Kevin Fenzi 2008-12-22 22:14:14 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.